<script setup>
import LoginRegister from '../components/LoginRegister.vue'

</script>

<template>
  <div class="container">
    <nav>
      <div class="nav-content" :class="{ 'd-none' :!hamburgerOpen }">
        <router-link to="/">Accueil</router-link>
        <router-link to="/Vente">Vente</router-link>
        <router-link to="/Location">Location</router-link>
        <router-link to="/dashboard">Dashboard</router-link>
<!--        <LoginRegister/>-->
      </div>
      <div class="nav-header">
        <div class="logo-container">
          <h1 class="logo">Cocoon <span>idéal</span></h1>
        </div>
        <button class="hamburger app" @click="hamburgerOpen = !hamburgerOpen" :class="{ 'hamburger--is-open' :hamburgerOpen }"></button>
      </div>
    </nav>
  </div>
</template>



<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
.container {
  background-color: #ffffff;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
}

nav {
  padding: 0 8px 8px 8px;
  box-shadow: 0 0 4px 2px rgba(0,0,0,.2);
  display: flex;
  justify-content: space-between;
  flex-direction: column;
}

.nav-header {
  display: flex;
  justify-content: space-between;
}

.logo-container {
  margin-top: 18px;
}

.logo {
  font-weight: lighter;
  margin: 0;
  background: #E1E1E1;
  padding: 6px 0 0 6px;
  color: #374971;
  border-radius: 5px;
}

.logo>span {
  background: #374971;
  padding: 8px 8px 2px 8px;
  color: #E1E1E1;
  border-radius: 0 5px 5px 0;
}

.nav-content {
  display: flex;
  align-items: center;
  flex-direction: column;
}

nav a {
  color: #374971;
  text-decoration: none;
  padding: 10px 0;
  width: 100vw;
  text-align: center;
}

nav a.router-link-exact-active {
  color: #374971;
  font-weight: bold;
}

button {
  background: none;
}

.hamburger {
  position: relative;
  display: flex;
  height: 40px;
  width: 80px;
  border: 0;
  cursor: pointer;
  pointer-events: all;
  outline: none;
  top: 10px;

  &:before,
  &:after {
    content: "";
    position: absolute;
    top: 11px;
    left: 20px;
    background: #374971;
    width: 40px;
    height: 4px;
    transition: transform 300ms ease-out;
  }

  &:after {
    top: auto;
    bottom: 13px;
  }

  &--is-open {
    &:before {
      transform: translateY(6px) rotate(135deg);
    }
    &:after {
      transform: translateY(-6px) rotate(45deg);
    }
  }
}

.d-none {
  display: none;
}

@media screen and (width > 768px) {
  .container {
    bottom: unset;
    top: 0;
  }

  .nav-content {
    order: 2;
  }
}

@media screen and (width > 1024px) {
  .container {
    bottom: unset;
    top: 0;
  }

  .nav-content {
    display: flex !important;
  }

  .hamburger {
    display: none !important;
  }

  nav {
    flex-direction: row;
  }

  .nav-content {
    flex-direction: row;
  }

  nav a {
    width: unset;
    margin-right: 20px;
  }
}

</style>
